import { MetadataDetail } from '@genesislcap/foundation-comms';
import { FilterBar as FoundationFilterBar } from '@genesislcap/foundation-ui';
/**
 * @tagname %%prefix%%-filter-bar
 */
export declare class FilterBar extends FoundationFilterBar {
    resource: string;
    /**
     * Only generate filters for the specified fields, provided as a comma separated list.
     * Default behavior (if "only" is not set) is to generate filters for all fields based on metadata.
     */
    only: string;
    /**
     * Labels for the specified fields, to be used alongside "only" prop.
     */
    labels: string;
    /**
     * Will be included in event emmissions.
     * Usually set to the id of the target datasource.
     * Usefull when we have multiple grids in the same page.
     */
    target: string;
    ready: boolean;
    fields: MetadataDetail[];
    filterGrid: HTMLDivElement;
    collapsed: boolean;
}
/**
 * The Zero Filter
 *
 * @public
 * @remarks
 * HTML Element: \<zero-filter-bar\>
 */
export declare const zeroFilterBar: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<import("@microsoft/fast-foundation").FoundationElementDefinition>) => import("@microsoft/fast-foundation").FoundationElementRegistry<import("@microsoft/fast-foundation").FoundationElementDefinition, typeof FilterBar>;
//# sourceMappingURL=filter-bar.d.ts.map