import { html } from 'lit-html';
const meta = {
    title: 'Combobox',
    component: 'zero-combobox',
};
export default meta;
const wrapperStyle = 'height: 500px; width: 100%; display: flex; justify-content: center; align-items: center;';
const OptionsMapperTemplate = {
    render: ({ options, position }) => html `
      <div style="${wrapperStyle}">
        <zero-combobox position="${position}">
          ${options.map((option) => html `
              <zero-option value="${option.value}">${option.text}</zero-option>
            `)}
        </zero-combobox>
      </div>
    `,
};
const optionsData = [
    { text: 'Zero Option 1', value: 1 },
    { text: 'Zero Option 2', value: 2 },
    { text: 'Zero Option 3', value: 3 },
    { text: 'Zero Option 4', value: 4 },
    { text: 'Zero Option 5', value: 5 },
];
export const Primary = Object.assign(Object.assign({}, OptionsMapperTemplate), { argTypes: {
        position: {
            control: 'select',
            options: ['above', 'below'],
        },
    }, args: {
        options: optionsData,
        position: 'below',
    } });
