import { html } from 'lit-html';
const meta = {
    title: 'Dialog',
    component: 'zero-dialog',
};
export default meta;
const showDialog = (e) => {
    const dialog = document.querySelector('zero-dialog');
    dialog.show();
};
const closeDialog = (e) => {
    const dialog = document.querySelector('zero-dialog');
    dialog.close();
};
export const Primary = {
    args: {
        dialogMaxWidth: '557px',
        dialogTitle: 'Dialog title',
        dialogInitialText: 'Some text in a Zero Dialog',
        dialogMainText: `Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis similique iste ab sed
      voluptatem ut suscipit tenetur distinctio? Quo est debitis pariatur qui quisquam repudiandae
      at atque et quibusdam rerum, reprehenderit sed laborum officiis distinctio dolorum
      temporibus aperiam dolor consequatur perferendis aspernatur fugit repellendus asperiores,
      voluptas illo? Voluptatum, atque quidem?`,
        dialogCloseButtonText: 'Close this dialog',
    },
    render: ({ dialogMaxWidth, dialogTitle, dialogInitialText, dialogMainText, dialogCloseButtonText, }) => html `
    <zero-button @click="${showDialog}">Show Zero Dialog</zero-button>
    <zero-dialog style="--dialog-max-width: ${dialogMaxWidth};">
      <h5 slot="top">${dialogTitle}</h5>
      <p>${dialogInitialText}</p>
      <p>${dialogMainText}</p>
      <zero-divider slot="bottom"></zero-divider>
      <zero-button appearance="primary-gradient" slot="bottom" @click="${closeDialog}">
        ${dialogCloseButtonText}
      </zero-button>
    </zero-dialog>
  `,
};
