import { html } from 'lit-html';
import { logger } from '../utils/logger';
const meta = {
    title: 'Dropdown Menu',
    component: 'zero-dropdown-menu',
};
export default meta;
const zeroItems = [
    {
        name: 'Menu item 1',
        callback: () => alert('Menu item 1 clicked'),
        icon: {
            name: 'glasses',
        },
    },
    {
        name: 'Menu item 2',
        callback: () => alert('Menu item 2 clicked'),
    },
    {
        name: 'Menu item 3',
        callback: () => alert('Menu item 3 clicked'),
        submenu: [
            {
                name: 'Menu item 5',
                callback: () => alert('Menu item 5 clicked'),
                icon: {
                    name: 'address-card',
                },
            },
            {
                name: 'Menu item 6',
                callback: () => alert('Menu item 6 clicked'),
                submenu: [
                    {
                        name: 'Menu item 7',
                        callback: () => alert('Menu item 7 clicked'),
                        color: 'red',
                        icon: {
                            name: 'address-card',
                        },
                    },
                    {
                        name: 'Menu item 8',
                        callback: () => alert('Menu item 8 clicked'),
                        isDisabled: () => true,
                    },
                ],
            },
        ],
    },
    {
        name: 'Menu item 4',
        callback: () => logger.debug('Menu item 4 clicked'),
        isDisabled: () => true,
    },
];
export const Primary = {
    args: {
        items: zeroItems,
        dropdownOpenerText: 'Dropdown menu',
    },
    render: ({ dropdownOpenerText, items }) => html `
      <div>
        <zero-dropdown-menu name="${dropdownOpenerText}" .items=${items}></zero-dropdown-menu>
      </div>
    `,
};
