import { html } from 'lit-html';
const meta = {
    title: 'Error Banner',
    component: 'zero-error-banner',
};
export default meta;
const showError = (errorText) => {
    var _a;
    let errorBanner = document.querySelector('#js-error-banner');
    if (!errorBanner) {
        errorBanner = document.createElement('zero-error-banner');
        errorBanner.id = 'js-error-banner';
        (_a = document.querySelector('#zero-banner')) === null || _a === void 0 ? void 0 : _a.appendChild(errorBanner);
    }
    errorBanner.error = {
        title: 'Error Title',
        errorDetails: `${errorText} ID - ${Math.random()}`,
        config: {
            snackbar: {
                type: 'error',
                confirmingActions: [
                    {
                        label: 'Action',
                        action: () => {
                            alert('Action in progress');
                        },
                    },
                ],
            },
        },
    };
};
export const Primary = {
    args: {
        errorText: 'Lorem ipsum dolor sit amet consectetur adipisicing elit.',
    },
    render: ({ errorText }) => html `
      <div id="zero-banner" style="width: 100%;">
        <zero-button @click="${() => showError(errorText)}">Show Zero Error Banner</zero-button>
      </div>
    `,
};
