import { html } from 'lit-html';
const meta = {
    title: 'Flex Layout',
    component: 'zero-flex-layout',
    parameters: {
        controls: { hideNoControlsWarning: true },
    },
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; flex: 1; padding: 10px; justify-content: space-between; height: 1500px;';
export const Primary = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-column flex-wrap spacing-2x justify-end">
          <div style="width: 30%; height: 40%; background-color: red;"></div>
          <div style="width: 30%; height: 50%; background-color: green;"></div>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-row spacing-2x">
          <div style="width: 30%; background-color: red;"></div>
          <div style="width: 70%; background-color: green;"></div>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-row spacing-2x">
          <div style="width: 20%; background-color: red;"></div>
          <div style="width: 60%; background-color: green;"></div>
          <div style="width: 20%; background-color: blue;"></div>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-row spacing-2x">
          <div style="width: 30%; height: 100%; background-color: red;"></div>
          <zero-flex-layout class="flex-column spacing-2x">
            <div style="height: 60%; width: 100%; background-color: blue;"></div>
            <div style="height: 40%; width: 100%; background-color: green;"></div>
          </zero-flex-layout>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-column spacing-2x">
          <div style="height: 100%; width: 100%; background-color: blue;"></div>
          <zero-flex-layout class="flex-row spacing-2x">
            <div style="width: 80%; background-color: green;"></div>
            <div style="width: 20%; background-color: blue;"></div>
          </zero-flex-layout>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-column spacing-2x">
          <div style="height: 20%; width: 100%; background-color: blue;"></div>
          <zero-flex-layout class="flex-row spacing-2x">
            <div style="width: 20%; background-color: green;"></div>
            <div style="width: 80%; background-color: blue;"></div>
          </zero-flex-layout>
          <div style="width: 100%; height: 20%; background-color: yellow;"></div>
        </zero-flex-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-flex-layout class="flex-row spacing-2x">
          <div style="background-color: blue; width: 100%; height: 100%;"></div>
          <zero-flex-layout class="flex-column spacing-2x">
            <div style="background-color: green; width: 100%; height: 100%;"></div>
            <zero-flex-layout class="flex-row spacing-2x">
              <div style="flex:3; background-color: yellow;"></div>
              <div style="flex:1; background-color: blue;"></div>
            </zero-flex-layout>
          </zero-flex-layout>
        </zero-flex-layout>
      </zero-card>
    </div>
  `,
};
