import { html } from 'lit-html';
const meta = {
    title: 'Grid Layout',
    component: 'zero-grid-layout',
};
export default meta;
const wrapperStyle = 'display: flex; flex-direction: column; flex: 1; padding: 10px; justify-content: space-between; height: 1700px;';
export const Primary = {
    render: () => html `
    <div style="${wrapperStyle}">
      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout
          class="spacing-2x"
          col-count="2"
          row-count="2"
          col-lg-count="4"
          row-lg-count="1"
          col-sm-count="1"
          row-sm-count="2"
        >
          <zero-grid-layout-item
            style="height: 100%; background-color: green;"
            col-lg-number="1"
            row-lg-number="1"
            width-lg="1"
            height-lg="1"
            col-md-number="1"
            row-md-number="1"
            width-md="1"
            height-md="1"
            col-sm-number="1"
            row-sm-number="1"
            width-sm="1"
            height-sm="1"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="height: 100%; background-color: red;"
            col-lg-number="3"
            row-lg-number="1"
            width-lg="2"
            height-lg="1"
            col-md-number="2"
            row-md-number="2"
            width-md="1"
            height-md="1"
            col-sm-number="1"
            row-sm-number="2"
            width-sm="1"
            height-sm="1"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="2" col-count="4" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: green;"
            col-number="1"
            row-number="1"
            width="1"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="2"
            row-number="1"
            width="3"
            height="2"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="2" col-count="4" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="1"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="2"
            row-number="1"
            width="2"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: green;"
            col-number="4"
            row-number="1"
            width="1"
            height="2"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="3" col-count="4" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="4"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="1"
            row-number="3"
            width="3"
            height="1"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="4"
            row-number="3"
            width="1"
            height="1"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="4" col-count="4" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="4"
            height="1"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="1"
            row-number="2"
            width="1"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="2"
            row-number="2"
            width="3"
            height="2"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: green;"
            col-number="1"
            row-number="4"
            width="4"
            height="1"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="6" col-count="6" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="2"
            height="6"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="3"
            row-number="1"
            width="4"
            height="3"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="3"
            row-number="4"
            width="2"
            height="3"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="5"
            row-number="4"
            width="1"
            height="3"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: green;"
            col-number="6"
            row-number="4"
            width="1"
            height="3"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="6" col-count="6" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="1"
            height="6"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="2"
            row-number="1"
            width="5"
            height="4"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="2"
            row-number="5"
            width="5"
            height="2"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>

      <zero-card style="height: 200px; width: 100%;">
        <zero-grid-layout row-count="6" col-count="6" class="spacing-2x">
          <zero-grid-layout-item
            style="background-color: blue;"
            col-number="1"
            row-number="1"
            width="1"
            height="6"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: red;"
            col-number="2"
            row-number="1"
            width="5"
            height="4"
          ></zero-grid-layout-item>
          <zero-grid-layout-item
            style="background-color: yellow;"
            col-number="2"
            row-number="5"
            width="5"
            height="2"
          ></zero-grid-layout-item>
        </zero-grid-layout>
      </zero-card>
    </div>
  `,
};
