import { html } from 'lit-html';
const meta = {
    title: 'Progress',
    component: 'zero-progress',
};
export default meta;
export const Multiple = {
    render: () => html `
    <div style="width: 100%;">
      <zero-progress></zero-progress>
      <zero-progress value="50"></zero-progress>
      <zero-progress value="100"></zero-progress>
      <zero-progress appearance="secondary-teal"></zero-progress>
      <zero-progress appearance="secondary-teal" value="50"></zero-progress>
      <zero-progress appearance="secondary-teal" value="100"></zero-progress>
      <zero-progress appearance="secondary-orange"></zero-progress>
      <zero-progress appearance="secondary-orange" value="50"></zero-progress>
      <zero-progress appearance="secondary-orange" value="100"></zero-progress>
    </div>
  `,
};
export const Configurable = {
    argTypes: {
        appearance: {
            control: 'select',
            options: ['accent', 'secondary-orange', 'secondary-teal'],
        },
    },
    args: {
        appearance: 'accent',
        value: '50',
    },
    render: ({ appearance, value }) => html `
    <div style="width: 100%;">
      <zero-progress appearance="${appearance}" value="${value}"></zero-progress>
    </div>
  `,
};
