import { SegmentedControl as FoundationSegmentedControl } from '@genesislcap/foundation-ui';
import { zeroSegmentedControlStyles as styles } from './segmented-control.styles';
import { zeroSegmentedControlTemplate as template } from './segmented-control.template';
/**
 * @tagname %%prefix%%-segmented-control
 */
export class SegmentedControl extends FoundationSegmentedControl {
}
// explicitly declaring for extensibility
export const zeroSegmentedControlShadowOptions = undefined;
export const defaultSegmentedControlConfig = {};
/**
 * The Zero Segmented Control
 *
 * @public
 * @remarks
 * HTML Element: \<zero-segmented-control\>
 */
export const zeroSegmentedControl = SegmentedControl.compose(Object.assign({ baseName: 'segmented-control', template,
    styles, shadowOptions: zeroSegmentedControlShadowOptions }, defaultSegmentedControlConfig));
