import { foundationSwitchStyles } from '@genesislcap/foundation-ui';
import { neutralFillStealthRest } from '@microsoft/fast-components';
import { css } from '@microsoft/fast-element';
import { PrimaryRapidColorHEX, ColorHEX } from '../_common';
export const zeroSwitchStyles = (context, definition) => css `
  ${foundationSwitchStyles(context, definition)}
  :host {
    --primary-gradient-angle: -113.5deg;
  }

  .switch {
    background: none;
    border-color: ${neutralFillStealthRest};
  }

  .checked-indicator {
    background: ${neutralFillStealthRest};
  }

  .switch:hover {
    border-color: ${ColorHEX.white};
    background: none;
  }

  :host([aria-checked='true']) .switch {
    background: none;
  }

  :host([aria-checked='true']) .checked-indicator {
    background: linear-gradient(
      var(--primary-gradient-angle),
      ${PrimaryRapidColorHEX.blue},
      ${PrimaryRapidColorHEX.purple}
    );
  }

  :host([aria-checked='true']:not([disabled])) .switch:hover,
  :host([aria-checked='true']:not([disabled])) .switch:active {
    background: none;
  }

  :host([aria-checked='true']:not([disabled])) .switch:hover .checked-indicator,
  :host([aria-checked='true']:not([disabled])) .switch:active .checked-indicator {
    background: linear-gradient(
      var(--primary-gradient-angle),
      ${PrimaryRapidColorHEX.blue},
      ${PrimaryRapidColorHEX.purple}
    );
  }
`;
