import { foundationTextAreaStyles } from '@genesislcap/foundation-ui';
import { css } from '@microsoft/fast-element';
import { PrimaryRapidColorHEX } from '../_common';
import { defaultRapidActiveBGColor, defaultRapidBGColor, defaultRapidBorderUnfocusedColor, defaultRapidTextColor, defaultRapidLabelColor, } from '../_common';
export const zeroTextAreaStyles = (context, definition) => css `
  ${foundationTextAreaStyles(context, definition)}
  :host {
    --primary-gradient-angle: -113.5deg;
  }

  :host .control {
    height: 100%;
    background-color: ${defaultRapidBGColor};
    border: calc(var(--stroke-width) * 1px) solid ${defaultRapidBorderUnfocusedColor};
    border-radius: calc(var(--control-corner-radius) * 1px);
  }

  :host(:hover:not([disabled])) .control {
    border-color: ${defaultRapidTextColor};
    background: ${defaultRapidBGColor};
  }

  :host(:focus-within:not([disabled])) .control {
    background: linear-gradient(
          var(--primary-gradient-angle),
          ${PrimaryRapidColorHEX.blue} 0%,
          ${PrimaryRapidColorHEX.purple} 100%
        )
        top/100% 1px,
      linear-gradient(
          var(--primary-gradient-angle),
          ${PrimaryRapidColorHEX.blue} 0%,
          ${PrimaryRapidColorHEX.purple} 100%
        )
        bottom/100% 1px;
    background-origin: border-box;
    background-repeat: no-repeat;
    border: 1px solid transparent;
    border-right-color: ${PrimaryRapidColorHEX.blue};
    border-left-color: ${PrimaryRapidColorHEX.purple};
    background-color: ${defaultRapidActiveBGColor};
    box-shadow: none;
  }

  .label {
    color: ${defaultRapidLabelColor};
    margin: calc(var(--design-unit) * 2px) 0;
  }
`;
