import { __decorate } from "tslib";
import { defaultUrlInputConfig as foundationUrlInputConfig, foundationUrlInputShadowOptions, TextField as FoundationTextField, } from '@genesislcap/foundation-ui';
import { observable } from '@microsoft/fast-element';
import { zeroUrlInputStyles as styles } from './url-input.styles';
import { zeroUrlInputTemplate } from './url-input.template';
/**
 * @tagname %%prefix%%-url-input
 */
export class UrlInput extends FoundationTextField {
    constructor() {
        super(...arguments);
        this.value = '';
    }
    saveUrl(url) {
        this.value = url.startsWith('http') ? url : 'https://' + url;
        this.focused = false;
    }
    focus() {
        this.focused = true;
    }
}
__decorate([
    observable
], UrlInput.prototype, "value", void 0);
__decorate([
    observable
], UrlInput.prototype, "focused", void 0);
export const defaultUrlInputConfig = foundationUrlInputConfig;
export const zeroUrlInputShadowOptions = foundationUrlInputShadowOptions;
export const zeroUrlInput = UrlInput.compose(Object.assign({ baseName: 'url-input', template: zeroUrlInputTemplate, styles, shadowOptions: foundationUrlInputShadowOptions }, foundationUrlInputConfig));
